/*
 * Copyright (C) 2007 Speecys Corporation
 *		Toshiaki Nozawa <nozawa@speecys.com>
 * All rights reserved.
 */

#ifndef __LIBCLIENT_H__
#define __LIBCLIENT_H__

int writeReqCmdPacket( int d, uint32_t seq, enum e_Priority pri,
    enum e_cmnHF chflg, struct reqCmd *req, bool htonF);
int writeReqOncePacket(int d, uint32_t seq, bool immeF,
    enum e_cmnHF chflg, struct reqOnce *req, uint16_t cmdLen, bool htonF);
int writeReqDevPollPacket(int d, uint32_t seq, enum e_Priority pri,
    enum e_cmnHF chflg, struct reqDevPoll *req, bool htonF);
int writeReqEventHndlPacket(int d, uint32_t seq, enum e_Priority pri,
    enum e_cmnHF chflg, struct reqEventHndl *req, bool htonF);
int writeReqDevStsPacket(int d, uint32_t seq, enum e_Priority pri,
    enum e_cmnHF chflg, struct reqDevSts *req, bool htonF);

#endif	//__LIBCLIENT_H__
